
dataset close all.
output close all.

* 30 times two samples are drawn from two populations of 6,000,0000 with p1=p2=.04 and n1=n2=5,000
  The difference in proportion of successess between the two samples are then plotted in a histogram 
  with the normal distribution inputted (the last chart in the output). 
 
* this proces and the resulting normal distribution empirically demonstrates in the very small 
  the principles of the theoretically based 'sampling distribution for the difference between two proportions'.

define !population () 12000000 !enddefine.
define !populationhalf () 6000000 !enddefine.
define !sample () 5000 !enddefine.
define !conversioncontrol () .04 !enddefine.
define !conversiontest () .04 !enddefine.

* select all of the syntax and run it: Ctrl_a Ctrl_r
  wait for the program to finish and scroll to the last graph at the bottom of the output to see the end result.

input program.
loop #i=1 to !population.
compute count=1.
end case.
end loop.
end file.
end input program.
frequencies count.
compute condition eq (uniform(1)<=.5).

if not condition conversion eq (uniform(1)<=!conversioncontrol).
if condition conversion eq (uniform(1)<=!conversiontest).

variable labels condition 'condition'/conversion 'conversion'.
value labels condition 0 'control' 1 'test'/conversion 0 'no conversion' 1 'conversion'.
crosstabs condition by conversion/cells count row/statistics chisq.

dataset name conversionpopulation.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample01=mean(conversion).
dataset name conversionsample01.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample02=mean(conversion).
dataset name conversionsample02.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample03=mean(conversion).
dataset name conversionsample03.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample04=mean(conversion).
dataset name conversionsample04.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample05=mean(conversion).
dataset name conversionsample05.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample06=mean(conversion).
dataset name conversionsample06.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample07=mean(conversion).
dataset name conversionsample07.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample08=mean(conversion).
dataset name conversionsample08.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample09=mean(conversion).
dataset name conversionsample09.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample10=mean(conversion).
dataset name conversionsample10.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample11=mean(conversion).
dataset name conversionsample11.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample12=mean(conversion).
dataset name conversionsample12.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample13=mean(conversion).
dataset name conversionsample13.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample14=mean(conversion).
dataset name conversionsample14.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample15=mean(conversion).
dataset name conversionsample15.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample16=mean(conversion).
dataset name conversionsample16.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample17=mean(conversion).
dataset name conversionsample17.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample18=mean(conversion).
dataset name conversionsample18.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample19=mean(conversion).
dataset name conversionsample19.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample20=mean(conversion).
dataset name conversionsample20.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample21=mean(conversion).
dataset name conversionsample21.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample22=mean(conversion).
dataset name conversionsample22.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample23=mean(conversion).
dataset name conversionsample23.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample24=mean(conversion).
dataset name conversionsample24.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample25=mean(conversion).
dataset name conversionsample25.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample26=mean(conversion).
dataset name conversionsample26.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample27=mean(conversion).
dataset name conversionsample27.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample28=mean(conversion).
dataset name conversionsample28.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample29=mean(conversion).
dataset name conversionsample29.

dataset activate conversionpopulation.
dataset copy sampling.
dataset activate sampling.
do if condition.
sample !sample from !populationhalf.
end if.
do if not condition.
sample !sample from !populationhalf.
end if.
crosstabs condition by conversion/cells count row/statistics chisq.
aggregate outfile=* /break=condition /conversionsample30=mean(conversion).
dataset name conversionsample30.

match files file=conversionsample01
           /file=conversionsample02
           /file=conversionsample03
           /file=conversionsample04
           /file=conversionsample05
           /file=conversionsample06
           /file=conversionsample07
           /file=conversionsample08
           /file=conversionsample09
           /file=conversionsample10
           /file=conversionsample11
           /file=conversionsample12
           /file=conversionsample13
           /file=conversionsample14
           /file=conversionsample15
           /file=conversionsample16
           /file=conversionsample17
           /file=conversionsample18
           /file=conversionsample19
           /file=conversionsample20
           /file=conversionsample21
           /file=conversionsample22
           /file=conversionsample23
           /file=conversionsample24
           /file=conversionsample25
           /file=conversionsample26
           /file=conversionsample27
           /file=conversionsample28
           /file=conversionsample29
           /file=conversionsample30
           /by condition
           /map.
dataset name rapport.
dataset activate rapport.
dataset close all.
flip variables= 
    conversionsample01 conversionsample02 conversionsample03 conversionsample04 conversionsample05 conversionsample06 conversionsample07 
    conversionsample08 conversionsample09 conversionsample10 conversionsample11 conversionsample12 conversionsample13 conversionsample14 conversionsample15 
    conversionsample16 conversionsample17 conversionsample18 conversionsample19 conversionsample20 conversionsample21 conversionsample22 conversionsample23 
    conversionsample24 conversionsample25 conversionsample26 conversionsample27 conversionsample28 conversionsample29 conversionsample30
  /newnames=condition.
rename variables ( CASE_LBL @_00 K_1_00=sample control test).
compute control eq control*100.
compute test eq test*100.
compute difference eq test-control.
list all.
descriptives control test difference.
graph/histogram(normal)=control.
graph/histogram(normal)=test.
graph/histogram(normal)=difference.

